<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FFA1B1=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@FEC554=0999</action>
    </script>
  </cheat>

  <cheat desc="Infinite Event Time">
    <script state="run">
      <action>maincpu.pb@FF2975=63</action>
    </script>
  </cheat>

  <cheat desc="Select Stage">
    <parameter>
      <item value="0x00">1 - Strange Football</item>
      <item value="0x04">2 - Combat Field</item>
      <item value="0x08">3 - Ghost Town</item>
      <item value="0x0C">4 - Aliens World</item>
      <item value="0x10">5 - Space Station</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FEC57F=param</action>
    </script>
  </cheat>

  <cheat desc="Select Roulette Number"> <comment>Enable on the roulette game</comment>
    <parameter>
      <item value="0x00">00</item>
      <item value="0x01">10</item>
      <item value="0x02">20</item>
      <item value="0x03">30</item>
      <item value="0x04">40</item>
      <item value="0x05">50</item>
      <item value="0x06">60</item>
      <item value="0x07">70</item>
      <item value="0x08">80</item>
      <item value="0x09">90</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FEEF9E=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF2803=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Z-Weapons PL1">
    <script state="run">
      <action>maincpu.pb@FEC667=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FEC66D=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1"> <comment>Turn it OFF on name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@FF2ED3=00|(maincpu.pb@FF2ED3 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon Time PL1">
    <script state="run">
      <action>maincpu.pb@FF2825=63</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x02">Missile Launcher</item>
      <item value="0x03">Ring Laser</item>
      <item value="0x04">Flame Thrower</item>
      <item value="0x05">Rail Blaster</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FEC665=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF2863=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Z-Weapons PL2">
    <script state="run">
      <action>maincpu.pb@FEC6C7=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FEC6CD=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2"> <comment>Turn it OFF on name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@FF2ED2=00|(maincpu.pb@FF2ED2 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon Time PL2">
    <script state="run">
      <action>maincpu.pb@FF2885=63</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x02">Missile Launcher</item>
      <item value="0x03">Ring Laser</item>
      <item value="0x04">Flame Thrower</item>
      <item value="0x05">Rail Blaster</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FEC6C5=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@FF28C3=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Z-Weapons PL3">
    <script state="run">
      <action>maincpu.pb@FEC727=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <script state="run">
      <action>maincpu.pb@FEC72D=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL3"> <comment>Turn it OFF on name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@FF2ED1=00|(maincpu.pb@FF2ED1 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon Time PL3">
    <script state="run">
      <action>maincpu.pb@FF28E5=63</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL3">
    <parameter>
      <item value="0x02">Missile Launcher</item>
      <item value="0x03">Ring Laser</item>
      <item value="0x04">Flame Thrower</item>
      <item value="0x05">Rail Blaster</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FEC725=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
